/*
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        28.05.2004
 Description:    Ansteuerung einer MMC/SD-Memory-Card
*/


#define Debug_MMC			0		//zum auffinden von Fehlern (1 = Meldungen ON)
//#define Debug_MMC			1

#define SPI_Mode			1		//1 = Hardware SPI | 0 = Software SPI
//#define ISP_Mode			0

#define MMC_Write			PORTB	//Port an der die MMC/SD-Karte angeschlossen ist also des SPI 
#define MMC_Read			PINB
#define MMC_Direction_REG	DDRB	
	
#define SPI_DI				3		//Port Pin an dem Data Output der MMC/SD-Karte angeschlossen ist 
#define SPI_DO				2		//Port Pin an dem Data Input der MMC/SD-Karte angeschlossen ist
#define SPI_Clock			1		//Port Pin an dem die Clock der MMC/SD-Karte angeschlossen ist (clk)
#define MMC_Chip_Select		4		//Port Pin an dem Chip Select der MMC/SD-Karte angeschlossen ist
#define SPI_SS				0

//Prototypes
extern char Read_Byte_MMC(void);

extern void Write_Byte_MMC(char);

extern char Init_MMC(void);

extern char Read_Block_MMC (unsigned long, char *Buffer);

extern char Write_Block_MMC (unsigned long, char *Buffer);

extern char Write_Command_MMC (char *CMD);

extern char Read_CSD_MMC (char *Buffer);

extern char Read_CID_MMC (char *Buffer);
